package br.com.dreamsource.mobile.worders.forms;

import br.com.dreamsource.mobile.worders.WOrders;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Item;
import javax.microedition.lcdui.ChoiceGroup;
import javax.microedition.lcdui.Choice;
import javax.microedition.lcdui.Image;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.Displayable;
import br.com.dreamsource.mobile.components.FormWOrders;

/**
 *
 * @author Elizeu Nogueira da Rosa Jr.
 * @version 0.1
 * @date 17.05.2007
 *
 */

public class MainMenu extends FormWOrders {
    
    private ChoiceGroup radioGroupMenuPrincipal;
    private String[] radioGroupMenuPrincipalItems;
    private Image[] radioGroupImage;
            
    public MainMenu(CommandListener listener, WOrders midlet) {
        super(listener, midlet, "Menu principal");
    }
    
    private ChoiceGroup getRadioGroupMenuPrincipal() {
        if (radioGroupMenuPrincipal == null) {
            
            radioGroupMenuPrincipalItems = new String[]{"Clientes", "Produtos", "Pedidos"};
            radioGroupImage = new Image[]{null, null, null};
            
            radioGroupMenuPrincipal = new ChoiceGroup("Opes", Choice.EXCLUSIVE, 
                    radioGroupMenuPrincipalItems, radioGroupImage);
            radioGroupMenuPrincipal.setSelectedFlags(new boolean[]{true, false, false});
        }
        return radioGroupMenuPrincipal;
    }    
    
    protected void createComponents() {
        this.append(this.getRadioGroupMenuPrincipal());
        this.addCommand(this.getOkCommand());
        this.addCommand(this.getBackCommand());
    }
    
    public void fireCommand(Command command) {
        if (command == okCommand) {
            if (radioGroupMenuPrincipal.getSelectedIndex() == 0) {
                this.sendToForm(this.midlet.getCustomer());
                this.midlet.destroyForm(this);
            } else
            if (radioGroupMenuPrincipal.getSelectedIndex() == 1) {
                this.sendToForm(this.midlet.getProduct());
                this.midlet.destroyForm(this);
            } else
            if (radioGroupMenuPrincipal.getSelectedIndex() == 2) {
                this.sendToForm(this.midlet.getOrder());
                this.midlet.destroyForm(this);
            }
            
        } else 
        if (command == backCommand) {
            this.sendToForm(this.midlet.getMenu());
        }
    }

}
